// mga_paradigm_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "Generic_ToolAdaptor.h"
#include "mga_paradigm_DLG.h"
#include "mgainterfaces.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// mga_paradigm_DLG dialog


mga_paradigm_DLG::mga_paradigm_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(mga_paradigm_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(mga_paradigm_DLG)
	m_paradigm = _T("");
	//}}AFX_DATA_INIT
}


void mga_paradigm_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(mga_paradigm_DLG)
	DDX_Control(pDX, IDC_PARADIGM, m_paradigm_control);
	DDX_CBString(pDX, IDC_PARADIGM, m_paradigm);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(mga_paradigm_DLG, CDialog)
	//{{AFX_MSG_MAP(mga_paradigm_DLG)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()



void LoadBstrSafeArray(CStringList& dest, SAFEARRAY* psa)
{
	ASSERT(psa);
	ASSERT(dest.IsEmpty());

	BSTR *p;
	SafeArrayAccessData(psa,(void**)&p);
	ASSERT(p);

	long bound;

	ASSERT( SafeArrayGetDim(psa) == 1 );
	SafeArrayGetLBound(psa, 1, &bound);
	ASSERT( bound == 1 );

	SafeArrayGetUBound(psa, 1, &bound);
	ASSERT( bound >= -1 );

	while( bound-- >= 1 )
		dest.AddTail(CString(*(p++)));

	SafeArrayUnaccessData(psa);
//	SafeArrayDestroy(psa);
//	psa = NULL;
  
}



/////////////////////////////////////////////////////////////////////////////
// mga_paradigm_DLG message handlers

BOOL mga_paradigm_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	CComPtr<IMgaRegistrar> registrar;
	::CoInitialize(NULL);
	registrar.CoCreateInstance(OLESTR("Mga.MgaRegistrar"));
	CComVariant vpars;
	registrar->get_Paradigms(REGACCESS_BOTH, &vpars);

	CStringList paradigms;
	ASSERT( ((vpars.vt & VT_ARRAY) == VT_ARRAY) || (vpars.vt == VT_EMPTY));
	LoadBstrSafeArray(paradigms, vpars.parray);

	POSITION pos = paradigms.GetHeadPosition();
	while (pos) {
		m_paradigm_control.AddString(paradigms.GetNext(pos));
	}

	m_paradigm_control.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
