<%@ LANGUAGE = JavaScript %>

<%
	var ta_type = new String();

	if (Session("ta_type") != "") {
		ta_type = Session("ta_type");
	} else {
		Server.Transfer("login.asp");
//		Response.Redirect("login.asp");
	}

	// Refresh
	if (Session("refresh") == "" || Session("refresh") == "undefined") {
		Session("refresh") = 60;
	}
	var refresh = new String(Request.Form("refresh"));
	if (refresh != "" && refresh != "undefined") {	
		if (refresh<10) refresh = 10;
		Session("refresh") = refresh;
	}

%>

<html>
<head>
<meta http-equiv="Refresh" content="<%=Session("refresh")%>">
<title>OTIF Generic Tool Adaptor</title>
<link rel="StyleSheet" href="otif.css" type="text/css" />
</head>

<body>

<h3 align="center">OTIF Generic Tool Adaptor</h3>

<p><b>You are currently using the 
<%
	Response.Write( "<span class='figyelem'>" + ta_type + "</span>" );
%>
tool adaptor type. Click <a href="logout_server_side.asp">here</a> to logout.</b></p>

<hr />
<br />

<table width="400">
<%
	var pub_paradigms = new String();
	pub_paradigms = Session("gta_activex").getActions();

	if (pub_paradigms != "") 
	{
	

		Response.Write( "<tr><td> </td></tr>" );

		//Response.Write( pub_paradigms );

		pattern = /(paradigm:)+/;
		r_ps = new Array();
		r_ps = pub_paradigms.split( pattern );

		for(i=0; i<r_ps.length; i++)
		{
			pattern = /(version:)+/;
			r_par = new Array();
			r_par  = r_ps[i].split( pattern );

			pattern = /(action:)+/;
			r_ver = new Array();
			r_ver = r_par[1].split( pattern );

			Response.Write( "<tr>" );
			Response.Write( "<td><b>Paradigm:</b></td>");
			Response.Write( "<td>" + r_par[0] + " v" + r_ver[0] + "</td>");		
			Response.Write( "</tr>" );
			

			Response.Write( "<td><b>Actions:</b></td>");
	
			for(j=1; j<r_ver.length; j++)
			{
				Response.Write( "<tr>" );
				Response.Write( "<td></td>");		
				if (new String(r_ver [j])=="publish")
				{
					Response.Write( "<td>");
					Response.Write( "<form name=\"publish_document\" action=\"publish.asp\" method=\"post\">");
					Response.Write( "<INPUT type=\"submit\" value=\"Publish document\"><BR>"); 
					Response.Write( "</form>");
					Response.Write("</td></tr>" );
				}
				else
				if (new String(r_ver[j])=="subscribe:false")
				{
					Response.Write( "<td>");
					Response.Write( "<form name=\"subscribe_document\" action=\"subscribe_server_side.asp?name=" + r_par[0] + "&version=" + r_ver[0] + "\" method=\"post\">");
					//Response.Write( "<INPUT type=\"hidden\" name=\"name\" value=\"" + r_par[0] + "\"><BR>"); 
					//Response.Write( "<INPUT type=\"hidden\" name=\"version\" value=\"" + r_ver[0] + "\"><BR>"); 
					Response.Write( "<INPUT type=\"submit\" value=\"Subscribe\">"); 
					Response.Write( "</form>");
					Response.Write("</td></tr>" );
				
					
				}
				else
				if (new String(r_ver[j])=="subscribe:true")
				{
					Response.Write( "<td>");
					Response.Write( "<form name=\"unsubscribe_document\" action=\"unsubscribe_server_side.asp?name=" + r_par[0] + "&version=" + r_ver[0] + "\" method=\"post\">");
					//Response.Write( "<INPUT type=\"hidden\" name=\"name\" value=\"" + r_par[0] + "\"><BR>"); 
					//Response.Write( "<INPUT type=\"hidden\" name=\"version\" value=\"" + r_ver[0] + "\"><BR>"); 
					Response.Write( "<INPUT type=\"submit\" value=\"Unsubscribe\">"); 
					Response.Write( "</form>");
					Response.Write("</td></tr>" );
				
				}

				//Response.Write( "</tr>" );
			}				
			
		}
			

	}
%>
</table>

<br />
<hr />
<br />

<form name="refresh_data" action="default.asp" method="post"> </form>
<table width="700" border="0">
	<tr>
		<td colspan="3"><b>Available documents:</b>
		</td>
		
		<td colspan="2" align="right">
			<button onclick="document.location=document.location;">Refresh</button>&nbsp;&nbsp;&nbsp;
			<button onclick="refresh_data.submit();">Update:</button> 
			<input class="right" name="refresh" value="<%=Session("refresh")%>" size="3" maxlength="3" /> sec
			</td>
		</tr>
		
	<tr>
		<td> 
		</td>
	</tr>

	<tr>
		<td width="20%"><b>Name</b>
		</td>
		
		<td width="10%" align='center'><b>Version</b>
		</td>
		
		<td width="10%" align='right'><b>keepAlive</b>
		</td>
		
		<td width="40%" align='center'><b>Remarks</b>
		</td>
		
		<td width="20%" align='center'><b>Action</b>
		</td>
	</tr>
<%
	var documents = new String();
	documents = Session("gta_activex").availableDocuments();

//	Response.Write( "<pre>" + documents + "</pre>" );

	if (documents != "") {

		pattern = /(\n:\n:\n)/;
		r_ps = new Array();
		r_ps = documents.split( pattern );
		
		for(i=0; i<r_ps.length; i++) {
			pattern = /(\n:\n)/;
			var str = r_ps[i];
			var src = 0;
			var des = 0;
			var offset = 0;
			var r_p = new Array();

			while (des!=-1) {
				des = str.search( pattern );
				var sub = str.substring(src, des);
				str = str.substring(des+3, str.length);
				des = str.search( pattern );
				r_p[offset++] = sub;
			}
			r_p[offset] = str;

			Response.Write( "<tr><td>" + r_p[1] + "</td><td align='center'>" + r_p[2] + "</td><td align='right'>" + r_p[3] + " sec</td><td align='center'>" + r_p[4] + "</td>");


			Response.Write( "<form name=\"request_document\" action=\"request.asp?doc_id=" + r_p[0] + "&doc_name=" + r_p[1] + "&doc_version=" + r_p[2] + "&doc_remarks=" + r_p[4]  + "\" method=\"post\">");
			Response.Write( "<td align=\"center\">");
			Response.Write( "<INPUT type=\"submit\" value=\"Request document\">"); 
			Response.Write( "</td>");
			Response.Write( "</form>");


			Response.Write( "</tr>" );
		}
	}
%>
</table>



<br />
<hr />


<%
function LoadStream(FilePath)
{

	var objStream = Server.CreateObject("ADODB.Stream");

	objStream.Type = 1; //adTypeBinary=1
	objStream.Open();

	objStream.LoadFromFile(FilePath);
	var ret = objStream.Read();
	
	objStream.Close();
	objStream = null;
	return  ret;
}

function SendStreamToBrowser(FileStream, FileName)
{
	
	//Clear buffer
	Response.Clear();
	

	Response.AddHeader("Connection", "keep-alive");

	//Force browser to save file
	Response.AddHeader ("Content-Disposition","attachment; filename=\"" + FileName + "\"");

	
	Response.ContentType = "application/octet-stream";
	Response.Charset = "UTF-8";
			
	Response.BinaryWrite(FileStream);

//	Response.Flush();
}



if ( Request.QueryString('fname').Item != undefined )
{
	var FileName = new String();
	var FileName = Request.QueryString("fname");
	Response.Write("LOFAX1"+FileName+"LOFAX1");
	var PathName =	Server.MapPath("./upload/"+FileName);
	SendStreamToBrowser (LoadStream(PathName) , FileName );
}



%>



</body>
</html>