<%@ LANGUAGE = JavaScript %>

<%
	var ta_type = new String();

	if (Session("ta_type") != "") {
		ta_type = Session("ta_type");
	} else {
		Response.Redirect("login.asp");
	}

	var attachments = (new String(Request.Form("attachments"))=="undefined") ? 0 : Request.Form("attachments");

%>

<html>
<head>
<link rel="StyleSheet" href="otif.css" type="text/css" />
<title>OTIF Generic Tool Adaptor</title>
</head>

<body>
<h3 align="center">OTIF Generic Tool Adaptor</h3>

<p><b>You are currently using the 
<%
	Response.Write( "<span class='figyelem'>" + ta_type + "</span>" );
%>
tool adaptor type. Click <a href="logout_server_side.asp">here</a> to logout.</b></p>

<hr />
<br />

<form name="publishDocument" action="publish_server_side.asp" enctype="multipart/form-data" method="post">
	<table>
		<tr><td colspan="2" align="center"><b>Publish document</b></td></tr>
		<tr><td height="10"> </td></tr>
		<tr><td>Document name:</td>
		<td><input type="text" name="doc_name" value="<%=Request.Form("doc_name")%>"/></td></tr>
		<tr><td>Document version:</td>
		<td><input type="text" name="doc_version" value="<%=(new String(Request.Form("doc_version"))=="undefined")?"1.0":Request.Form("doc_version")%>" /></td></tr>
		<tr><td>keepAlive:</td>
		<td><input type="text" name="doc_keepalive" value="<%=(new String(Request.Form("doc_keepalive"))=="undefined")?"1":Request.Form("doc_keepalive")%>" /> <select name="keepalive_time"><option value='1' <%=(Request.Form("keepalive_time")=="1")?"selected":""%>>sec</option><option value='60' <%=(Request.Form("keepalive_time")=="60" || new String(Request.Form("keepalive_time"))=="undefined")?"selected":""%>>min</option><option value='3600' <%=(Request.Form("keepalive_time")=="3600")?"selected":""%>>hour</option></select></td></tr>
		<tr><td>Remarks:</td>
		<td><input type="text" name="doc_remarks" value="<%=Request.Form("doc_remarks")%>" /></td></tr>

		<tr><td height="5"> </td></tr>
<%
	var pub_paradigms = new String();
	pub_paradigms = Session("gta_activex").getPublishable();

	if (pub_paradigms != "") {
		pattern = /(\n\n)+/;
		r_ps = new Array();
		r_ps = pub_paradigms.split( pattern );

		// Multiple document
		for(i=0; i<r_ps.length; i++) {
			pattern = /\n+/;
			r_p = new Array();
			r_p = r_ps[i].split( pattern );

			Response.Write( "<tr><td><b>" + r_p[0] + " v" + r_p[1] + " paradigm</b></td>");
			Response.Write( "<tr><td>File:</td>" );
			Response.Write( "<td><input type='file' name='doc' /></td></tr>" );
			Response.Write( "<tr><td>Optional file (i.e. xsd file):</td>" );
			Response.Write( "<td><input type='file' name='xsd' /></td>" );
			Response.Write( "<td><i>If you publish xml file, you have to provide its xsd file.</i></td></tr>" );
			Response.Write( "<tr><td>XSLT file:</td>" );
			Response.Write( "<td><input type='file' name='xslt' /></td>" );
			Response.Write( "<td><i>If you need XSLT translation before publishing the document, you can attach the XSLT file here.</i></td></tr>" );
			Response.Write( "<tr><td height='5'> </td></tr>" );
		}
	}

	// Document Update
	var existing_documents = new String();
	existing_documents = Session("gta_activex").getExistingDocuments();

	if (existing_documents != "") {
		pattern = /(\n\n)+/;
		r_ps = new Array();
		r_ps = existing_documents.split( pattern );

		Response.Write( "<tr><td><input type='checkbox' name='check_update' onclick='publishDocument.update_doc.disabled=(publishDocument.update_doc.disabled)?false:true;'/>Update document</td>" );
		Response.Write( "<td><select name='update_doc' disabled>" );
		// Multiple document
		for(i=0; i<r_ps.length; i++) {
			pattern = /\n+/;
			r_p = new Array();
			r_p = r_ps[i].split( pattern );

			Response.Write( "<option value='" + r_p[0] + "'>" + r_p[1] + "</option>");

		}
		Response.Write( "</select></td></tr>" );
	}

%>
		<tr><td height="5"> </td></tr>
		<tr><td><b>Attachments:</b></td>
		<td>Number of attachments: <input type="text" name="attachments" size="2" value="<%=attachments%>" /></td><td>
		<button onclick="refresh_attachments.attachments.value=attachments.value; 
		refresh_attachments.doc_name.value=doc_name.value; 
		refresh_attachments.doc_version.value=doc_version.value; 
		refresh_attachments.doc_remarks.value=doc_remarks.value; 
		refresh_attachments.doc_keepalive.value=doc_keepalive.value; 
		refresh_attachments.keepalive_time.value=keepalive_time.value; 
		refresh_attachments.submit();">

		Refresh attachments</button>
		</td>

<%
		for(i=0; i<attachments; i++)
			Response.Write( "<tr><td>" + (i+1) + ". attachment</td><td><input type='file' name='attachment' /></td></tr>" );
%>
		</tr>

		<tr><td height="20"> </td></tr>
		<tr>
			<td align="center"><button onclick="for(i=0; i<publishDocument.doc.length; i++) { if (publishDocument.doc[i].value=='') { alert('Please select the document(s) to publish!'); return; }; }; if (publishDocument.doc_name.value=='') alert('Please specify the name of the document!'); else if (publishDocument.doc_version.value=='') alert('Please specify the version of the document'); else if (publishDocument.doc_keepalive.value=='') alert('Please specify the keepAlive value of the document'); else publishDocument.submit();">Publish</button></td>
			<td align="center"><button onclick="window.location='default.asp';">Cancel</button></td></tr>

	</table>
</form>

<hr />

<form name="refresh_attachments" action="publish.asp" method="post">
	<input type="hidden" name="attachments" />
	<input type="hidden" name="doc_name" />
	<input type="hidden" name="doc_version" />
	<input type="hidden" name="doc_remarks" />
	<input type="hidden" name="doc_keepalive" />
	<input type="hidden" name="keepalive_time" />
</form>

</body>
</html>