// DB2DSMEDlg.h : header file
//

#if !defined(AFX_DB2DSMEDLG_H__5292D8D0_C9F0_47CA_BF02_F47B0FF6A865__INCLUDED_)
#define AFX_DB2DSMEDLG_H__5292D8D0_C9F0_47CA_BF02_F47B0FF6A865__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DSME.h"
#include "DesertIfaceBack.h"

/////////////////////////////////////////////////////////////////////////////
// CDB2DSMEDlg dialog

class CDB2DSMEDlg : public CDialog
{
// Construction
public:
	CDB2DSMEDlg(DSME::RootFolder&, set<DesertIfaceBack::Configuration>&, CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDB2DSMEDlg)
	enum { IDD = IDD_DB2DSME_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDB2DSMEDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	DSME::RootFolder& in_root;
	set<DesertIfaceBack::Configuration>& in_configs;
	int num_configs;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDB2DSMEDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDeltaposConfigSpin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnGenerate();
	afx_msg void OnView();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	map<DSME::Base, DSME::Base> baseMap;
	map<DSME::Alternative, DSME::Base> altMap;
	map<DSME::ConnBase, DSME::ConnBase> portMap;

	void MapConfiguration(int config_id, map<int, int>& alt_assignments);
	void FillConfigTree(CTreeCtrl *tree, map<int, int>& assignments);
	void FillConfigTree(CTreeCtrl *tree, map<int, int>& assignments, DSME::Base& in_this, HTREEITEM hparent);
	void GenerateConfig(int config_id, map<int, int>& alt_assignments);
	void GenerateConfig(map<int, int>& alt_assignments, DSME::Base& in_this, Udm::Object& out_parent, Udm::Object& in_parent=Udm::null);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DB2DSMEDLG_H__5292D8D0_C9F0_47CA_BF02_F47B0FF6A865__INCLUDED_)
