// Mga_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "Generic_ToolAdaptor_ActiveX.h"
#include "Mga_DLG.h"
#include "mgainterfaces.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMga_DLG dialog


CMga_DLG::CMga_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(CMga_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMga_DLG)
	m_paradigm = _T("");
	//}}AFX_DATA_INIT
}


void CMga_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMga_DLG)
	DDX_Control(pDX, IDC_PARADIGM, m_paradigm_control);
	DDX_CBString(pDX, IDC_PARADIGM, m_paradigm);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMga_DLG, CDialog)
	//{{AFX_MSG_MAP(CMga_DLG)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


extern void LoadBstrSafeArray(CStringList& dest, SAFEARRAY* psa);

/////////////////////////////////////////////////////////////////////////////
// CMga_DLG message handlers

BOOL CMga_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	CComPtr<IMgaRegistrar> registrar;
	::CoInitialize(NULL);
	registrar.CoCreateInstance(OLESTR("Mga.MgaRegistrar"));
	CComVariant vpars;
	registrar->get_Paradigms(REGACCESS_BOTH, &vpars);

	CStringList paradigms;
	ASSERT( ((vpars.vt & VT_ARRAY) == VT_ARRAY) || (vpars.vt == VT_EMPTY));
	LoadBstrSafeArray(paradigms, vpars.parray);

	POSITION pos = paradigms.GetHeadPosition();
	while (pos) {
		m_paradigm_control.AddString(paradigms.GetNext(pos));
	}
	
	m_paradigm_control.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
