


% Definition for the electronic throttle servo controller software.

clear Definition

% Input definitions.

Definition.Input = struct([]);


% Output definitions.

Definition.Output = struct([]);

Definition.Output(1).Name = 'trig_etc_manager_fast';
Definition.Output(1).Description = 'trigger signal';
Definition.Output(1).Unit = 'none';
Definition.Output(1).FloatingPointTargetType = 'function call';
Definition.Output(1).FixedPointTargetType.Signed = [];
Definition.Output(1).FixedPointTargetType.Bytes = [];
Definition.Output(1).FixedPointTargetType.BinPoint = [];
Definition.Output(1).Size = [1 1];
Definition.Output(1).Min = [];
Definition.Output(1).Max = [];

Definition.Output(2).Name = 'trig_etc_servo_control_fast';
Definition.Output(2).Description = 'trigger signal';
Definition.Output(2).Unit = 'none';
Definition.Output(2).FloatingPointTargetType = 'function call';
Definition.Output(2).FixedPointTargetType.Signed = [];
Definition.Output(2).FixedPointTargetType.Bytes = [];
Definition.Output(2).FixedPointTargetType.BinPoint = [];
Definition.Output(2).Size = [1 1];
Definition.Output(2).Min = [];
Definition.Output(2).Max = [];

Definition.Output(3).Name = 'trig_etc_monitor_fast';
Definition.Output(3).Description = 'trigger signal';
Definition.Output(3).Unit = 'none';
Definition.Output(3).FloatingPointTargetType = 'function call';
Definition.Output(3).FixedPointTargetType.Signed = [];
Definition.Output(3).FixedPointTargetType.Bytes = [];
Definition.Output(3).FixedPointTargetType.BinPoint = [];
Definition.Output(3).Size = [1 1];
Definition.Output(3).Min = [];
Definition.Output(3).Max = [];

% Parameter definitions.

Definition.Parameter = struct([]);

Definition.Parameter(1).Name = 'etc_scheduler_cpu_usage';
Definition.Parameter(1).Description = 'percentage of CPU troughput used by etc_scheduler';
Definition.Parameter(1).Unit = '';
Definition.Parameter(1).FloatingPointTargetType = 'double';
Definition.Parameter(1).FixedPointTargetType.Signed = 0;
Definition.Parameter(1).FixedPointTargetType.Bytes = 2;
Definition.Parameter(1).FixedPointTargetType.BinPoint = 10;
Definition.Parameter(1).Size = [1 1];
Definition.Parameter(1).Min = 0;
Definition.Parameter(1).Max = 100;
Definition.Parameter(1).DefaultValue = 4;

Definition.Parameter(2).Name = 'etc_scheduler_ROM';
Definition.Parameter(2).Description = 'bytes of ROM used by etc_scheduler';
Definition.Parameter(2).Unit = '';
Definition.Parameter(2).FloatingPointTargetType = 'double';
Definition.Parameter(2).FixedPointTargetType.Signed = 0;
Definition.Parameter(2).FixedPointTargetType.Bytes = 2;
Definition.Parameter(2).FixedPointTargetType.BinPoint = 10;
Definition.Parameter(2).Size = [1 1];
Definition.Parameter(2).Min = 0;
Definition.Parameter(2).Max = 1000000;
Definition.Parameter(2).DefaultValue = 60000;

Definition.Parameter(3).Name = 'etc_scheduler_RAM';
Definition.Parameter(3).Description = 'bytes of RAM used by etc_scheduler, includes stack';
Definition.Parameter(3).Unit = '';
Definition.Parameter(3).FloatingPointTargetType = 'double';
Definition.Parameter(3).FixedPointTargetType.Signed = 0;
Definition.Parameter(3).FixedPointTargetType.Bytes = 2;
Definition.Parameter(3).FixedPointTargetType.BinPoint = 10;
Definition.Parameter(3).Size = [1 1];
Definition.Parameter(3).Min = 0;
Definition.Parameter(3).Max = 32000;
Definition.Parameter(3).DefaultValue = 150;
