@echo off
echo -------------------------------------------
echo   Backplane layer testing process started
echo -------------------------------------------


for /L %%i in (1,1,100) do (

	echo ******************************
	echo   Starting test process: %%i 
	echo ******************************

	rem TEST
	for /L %%i in (1,1,1) do (

		echo ---------------------------
		echo Publish a TEST document
		echo ---------------------------
		Push_TEST.exe TEST_PUBLISHER test_sample.xml 120
		sleep 5

		echo ---------------------------
		echo Fetching TEST
		echo ---------------------------
		Pull_TEST.exe TEST_RECEIVER
	)

	rem ESML_WORKFLOW
	for /L %%i in (1,1,1) do (

		echo -------------------------------
		echo Publish a PRISM document
		echo -------------------------------
		Push_ESCM_UDM.exe PRISM_PUBLISHER prism_sample.xml 120
		sleep 5

		echo -------------------------------
		echo Fetching PRISM
		echo -------------------------------
		Pull_ESCM_UDM.exe PRISM_RECEIVER

		echo -------------------------------
		echo Publish a PRISM and ESML documents
		echo -------------------------------
		Push_ESCM_UDM_ESML.exe PRISM_UPDATER prism_sample.xml esml_sample.mga 120
		sleep 5

		echo -------------------------------
		echo Publish a ESML document
		echo -------------------------------
		Push_ESML.exe ESML_PUBLISHER esml_sample.mga 120
		sleep 5

		echo -------------------------------
		echo Publish a problem ESML document
		echo -------------------------------
		Push_ESML.exe ESML_PUBLISHER esml_problem_sample.mga 120
		sleep 5

		echo -------------------------------
		echo Publish a huge ESML document
		echo -------------------------------
rem		Push_ESML.exe ESML_PUBLISHER esml_big_sample.mga 120
		sleep 5

		echo -------------------------------
		echo Fetching ESML
		echo -------------------------------
		Pull_ESML.exe ESML_RECEIVER

		echo -------------------------------
		echo Fetching Config
		echo -------------------------------
		Pull_Config.exe CONFIG_RECEIVER

		echo -------------------------------
		echo Fetching AIF
		echo -------------------------------
		Pull_AIF.exe AIF_RECEIVER

		echo -------------------------------
		echo Publish Config document
		echo -------------------------------
		Push_Config.exe CONFIG_PUBLISHER config_sample.xml 120
		sleep 5

		echo -------------------------------
		echo Fetching ESML
		echo -------------------------------
		Pull_ESML.exe ESML_RECEIVER

		echo -------------------------------
		echo Publish IIF and AIF documents
		echo -------------------------------
		Push_IIF_AIF.exe AIF_UPDATER iif_sample.xml aif_sample.xml 120

		sleep 10

		echo -------------------------------
		echo Fetching AIF
		echo -------------------------------
		Pull_AIF.exe AIF_RECEIVER
	)


	rem MATLAB_SAMPLE
	for /L %%i in (1,1,1) do (

		echo -----------------------------
		echo Publish a MATLAB document
		echo -----------------------------
		Push_Matlab.exe MATLAB_PUBLISHER matlab_sample.xml 120
		sleep 5

		echo -------------------
		echo Fetching MATLAB
		echo -------------------
		Pull_Matlab.exe MATLAB_RECEIVER

		echo -------------------
		echo Fetching ECSL
		echo -------------------
		Pull_ECSL.exe ECSL_RECEIVER
	)


	rem ETC_CONTROL
	for /L %%i in (1,1,1) do (

		echo -----------------------------
		echo Publish a MATLAB document
		echo -----------------------------
		Push_Matlab.exe MATLAB_PUBLISHER matlab_sample.xml 120
		sleep 5

		echo ---------------------------
		echo Publish a ECSL document
		echo ---------------------------
		Push_ECSL.exe ECSL_PUBLISHER ecsl_sample.mga 120
		sleep 5

		echo -----------------
		echo Fetching Matlab
		echo -----------------
		Pull_Matlab.exe MATLAB_RECEIVER

		echo -------------------
		echo Fetching ECSL
		echo -------------------
		Pull_ECSL.exe ECSL_RECEIVER
	)


	echo ---------------------
	echo Waiting for 2 minutes
	echo ---------------------
	sleep 120
)

echo ------------------------------------------
echo   Backplane layer testing process stoped
echo ------------------------------------------
